function Y=DesiredCoordsLemis2(u)


a 	  = u(2);      %%% Figure Eight Width
omega = u(3);      %%% Omega*pi= max(Dphi)
t     = u(1);


x = a * cos(omega * t) / (0.1e1 + sin(omega * t) ^ 2);
dx = -a * sin(omega * t) * omega / (0.1e1 + sin(omega * t) ^ 2) - 0.2e1 * a * cos(omega * t) ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * sin(omega * t) * omega;
ddx = -a * cos(omega * t) * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) + 0.6e1 * a * sin(omega * t) ^ 2 * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * cos(omega * t) + 0.8e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 3 * sin(omega * t) ^ 2 * omega ^ 2 - 0.2e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * omega ^ 2;

y = a * cos(omega * t) / (0.1e1 + sin(omega * t) ^ 2) * sin(omega * t);
dy = -a * sin(omega * t) ^ 2 * omega / (0.1e1 + sin(omega * t) ^ 2) - 0.2e1 * a * cos(omega * t) ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * sin(omega * t) ^ 2 * omega + a * cos(omega * t) ^ 2 / (0.1e1 + sin(omega * t) ^ 2) * omega;
ddy = -0.4e1 * a * sin(omega * t) * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) * cos(omega * t) + 0.6e1 * a * sin(omega * t) ^ 3 * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * cos(omega * t) + 0.8e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 3 * sin(omega * t) ^ 3 * omega ^ 2 - 0.6e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * sin(omega * t) * omega ^ 2;

phi=atan2(dy,dx);
if phi<-0.786
    phi = phi-sign(phi)*2*pi;
end
dphi=-(-ddy*dx+dy*ddx)/(dx^2+dy^2);

v = sqrt(dx^2+dy^2);

Y = [x y dx dy phi dphi v]';