function Y=DesiredCoordsLemis3(u)


a 	  = u(2);      %%% Figure Eight Width
omega = u(3);      %%% Omega*pi= max(Dphi)
t     = u(1);


x = a * cos(omega * t) / (0.1e1 + sin(omega * t) ^ 2);
dx = -a * sin(omega * t) * omega / (0.1e1 + sin(omega * t) ^ 2) - 0.2e1 * a * cos(omega * t) ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * sin(omega * t) * omega;
ddx = -a * cos(omega * t) * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) + 0.6e1 * a * sin(omega * t) ^ 2 * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * cos(omega * t) + 0.8e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 3 * sin(omega * t) ^ 2 * omega ^ 2 - 0.2e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * omega ^ 2;

y = a * cos(omega * t) / (0.1e1 + sin(omega * t) ^ 2) * sin(omega * t);
dy = -a * sin(omega * t) ^ 2 * omega / (0.1e1 + sin(omega * t) ^ 2) - 0.2e1 * a * cos(omega * t) ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * sin(omega * t) ^ 2 * omega + a * cos(omega * t) ^ 2 / (0.1e1 + sin(omega * t) ^ 2) * omega;
ddy = -0.4e1 * a * sin(omega * t) * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) * cos(omega * t) + 0.6e1 * a * sin(omega * t) ^ 3 * omega ^ 2 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * cos(omega * t) + 0.8e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 3 * sin(omega * t) ^ 3 * omega ^ 2 - 0.6e1 * a * cos(omega * t) ^ 3 / (0.1e1 + sin(omega * t) ^ 2) ^ 2 * sin(omega * t) * omega ^ 2;

phi=atan2(dy,dx);
if phi<-0.786
    phi = phi-sign(phi)*2*pi;
end
dphi=-(-ddy*dx+dy*ddx)/(dx^2+dy^2);

dddx = -a * sin(omega * t) * omega ^ 3 * (-0.1e1 + 0.3e1 * sin(omega * t) ^ 2 + 0.9e1 * sin(omega * t) ^ 4 + 0.5e1 * sin(omega * t) ^ 6 - 0.20e2 * cos(omega * t) ^ 2 + 0.8e1 * cos(omega * t) ^ 2 * sin(omega * t) ^ 2 + 0.28e2 * cos(omega * t) ^ 2 * sin(omega * t) ^ 4 + 0.24e2 * cos(omega * t) ^ 4 * sin(omega * t) ^ 2 - 0.24e2 * cos(omega * t) ^ 4) / (0.1e1 + sin(omega * t) ^ 2) ^ 4;

dddy = -0.6e1 * a * omega ^ 3 * (sin(omega * t) ^ 8 / 0.3e1 + 0.4e1 / 0.3e1 * cos(omega * t) ^ 2 * sin(omega * t) ^ 6 + (-0.14e2 / 0.3e1 * cos(omega * t) ^ 2 + cos(omega * t) ^ 4 - 0.1e1) * sin(omega * t) ^ 4 + (-0.2e1 / 0.3e1 - 0.16e2 / 0.3e1 * cos(omega * t) ^ 2 - 0.6e1 * cos(omega * t) ^ 4) * sin(omega * t) ^ 2 + 0.2e1 / 0.3e1 * cos(omega * t) ^ 2 + cos(omega * t) ^ 4) / (0.1e1 + sin(omega * t) ^ 2) ^ 4;

ddphi = (dx ^ 3 * dddy + (-2 * ddx * ddy - dy * dddx) * dx ^ 2 + dy * (-2 * ddy ^ 2 + dy * dddy + 2 * ddx ^ 2) * dx + 2 * ddy * ddx * dy ^ 2 - dy ^ 3 * dddx) / (dx ^ 2 + dy ^ 2) ^ 2;

Dvd = (x * dx + y * dy) * (x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1);



v = sqrt(dx^2+dy^2);
Y = [x y dx dy phi dphi v ddphi Dvd]';