function y = Desired_Coords_Vcon(u)
t = u(1);
v = u(2);
omega = u(3);

%Rad = .5; %% Circle Radius -   Figure 8 length is 4x this 
%omega = 15; %% period of figure-8  [sec]
%Rw = 2*2.54/100;    %% W                                                                           heel radius - [m]
period = 2*pi/omega;

if mod(t,2*period)<period
	x = -v/omega*cos(omega*t)+v/omega;
	dx = v*sin(omega*t);
	ddx = v*omega*cos(omega*t);

else
    x   = v/omega*cos(omega*t)-v/omega;
	dx  =-v*sin(omega*t);
	ddx =-v*omega*cos(omega*t);

end

	y = v/omega*cos(omega*t-pi/2);
	dy = -v*sin(omega*t-pi/2);
	ddy = -v*omega*cos(omega*t-pi/2);
    

phi=atan2(dy,dx);

dphi=-(-ddy*dx+dy*ddx)/(dx^2+dy^2);

V =(dx*cos(phi)+dy*sin(phi));

y = [x y dx dy phi dphi V]'