function output = SquigglePath(u)
%u= randn(5);

t = u(1);
x_dis = u(2);
x_T = u(3);
y_amp = u(4);
y_num = u(5);
x=x_dis;y=0;phi=0;dphi=0;v=0;

if mod(t,2*x_T)<x_T
    x = x_dis/x_T*mod(t,x_T);
    y = y_amp*sin(y_num*2*pi/x_T* mod(t,2*x_T));
    dx = x_dis/x_T;
    dy = y_num*2*pi/x_T*y_amp*cos(2*pi*y_num/x_T*mod(t,x_T));
    ddx = 0;
    ddy = - (y_num*2*pi/x_T)^2*y_amp*sin(y_num*2*pi/x_T*mod(t,x_T));
    phi=atan2(dy,dx);
    dphi=-(-ddy*dx+dy*ddx)/(dx^2+dy^2);
    v = sqrt(dx^2+dy^2);
end



output = [x y phi dphi v]';