function output = sinpath(u)

t = u(1);
period = u(2);
a = u(3);

%x   = a*sin(2*pi/T*t);
%dx  = a*(2*pi/T)*cos((2*pi/T)*t);
%ddx =-a*(2*pi/T)^2*sin((2*pi/T)*t);


x = a*sin(2*pi/period*t);
dx = a*(2*pi/period)*cos(2*pi/period*t);
ddx = -a*(2*pi/period)^2*sin(2*pi/period*t);


output = [x dx ddx]';